<?php

/*
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+                                                       +
+         COPYRIGHT BY =NRG= CLAN www.nrg-esports.de    +
+                                                       +
+                                                       +
+              Website created by DaMagicSW             +
+                           and                         +
+                 Plugin by DaMagicWobber               +
+                                                       +
+                                                       +
+  edit of website and remove of copyright not allowed  +
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
*/


include "manager.php";

$manager = new Manager("DBCLEANUP");

if($manager->user->cleanup == 1)
{
  if(isset($_POST["submit"]))
  {
    $ok = "";
    
    //Double Soldiers
    if(isset($_POST["double"]) && $_POST["double"] == 1)
    {
      $query = $manager->db->query("SELECT soldiername FROM `bm_soldiers` WHERE `soldiername` != '' GROUP BY `soldiername` HAVING COUNT(*) > 1");
      while($result = $query->fetch_object())
      {
        $query2 = $manager->db->query("SELECT * FROM `bm_soldiers` WHERE `soldiername` LIKE '".$result->soldiername."%'");
        $i = 0;
        while($result2 = $query2->fetch_object())
        {
          if($i == 0)
          {
            $soldierID = $result2->soldierID;
            $eaguid = $result2->eaguid;
            $pbguid = $result2->pbguid;
            $bancount = $result2->bancount;
          }
          else
          {
            if($result2->eaguid != "" && $result2->eaguid != $eaguid)
              $eaguid = $result2->eaguid;
            if($result2->pbguid != "" && $result2->pbguid != $pbguid)
              $pbguid = $result2->pbguid;
            $bancount = $bancount + $result2->bancount;
            $manager->db->query("DELETE FROM `bm_soldiers` WHERE `soldierID` = ".$result2->soldierID);
            $manager->db->query("UPDATE `bm_banlist` SET soldierID =".$soldierID." WHERE `soldierID` = ".$result2->soldierID);
          }
          $i++;
        }
        $manager->db->query("UPDATE `bm_soldiers` SET eaguid = '".$eaguid."',pbguid = '".$pbguid."',bancount=".$bancount." WHERE `soldierID` = ".$soldierID);
      }
      $ok .= $manager->translate["DOUBLESOLDIERS"].'.<br />';
    }
    
    //Delete expired bans
    if(isset($_POST["expired"]) && $_POST["expired"] == 1)
    {
      $manager->db->query("DELETE FROM bm_banlist WHERE ban_expired = 1");
      $ok .= $manager->translate["EXPIREDBANS"].'.<br />';
    }
    
    //edit bans with no server to global
    if(isset($_POST["global"]) && $_POST["global"] == 1)
    {
      $query = $manager->db->query("SELECT servergroup FROM bm_servergroup GROUP BY servergroup");
      $servergroup = array(0);
      while($result = $query->fetch_object())
      {
        array_push($servergroup,$result->servergroup);
      }
      $manager->db->query("UPDATE bm_banlist SET servergroup=0 WHERE servergroup != ".implode(" AND servergroup != ",$servergroup));
      $ok .= $manager->translate["BANSNOSERVERGLOBAL"].'.<br />';
    }
    
    //delete bans with no server
    if(isset($_POST["delglobal"]) && $_POST["delglobal"] == 1)
    {
      $query = $manager->db->query("SELECT servergroup FROM bm_servergroup GROUP BY servergroup");
      $servergroup = array(0);
      while($result = $query->fetch_object())
      {
        array_push($servergroup,$result->servergroup);
      }
      $manager->db->query("DELETE FROM bm_banlist WHERE servergroup != ".implode(" AND servergroup != ",$servergroup));
      $ok .= $manager->translate["BANSNOSERVER"].'.<br />';
    }
    
    //delete double bans
    if(isset($_POST["doubleban"]) && $_POST["doubleban"] == 1)
    {
      $query = $manager->db->query("SELECT soldierID FROM `bm_banlist` GROUP BY `soldierID` HAVING COUNT(*) > 1");
      while($result = $query->fetch_object())
      {
        $query2 = $manager->db->query("SELECT COUNT(*) as cnt FROM bm_banlist WHERE ban_length = 'permanent' AND servergroup = 0 AND soldierID=".$result->soldierID);
        $result2 = $query2->fetch_object();
        if($result2->cnt > 1)
        {
          $manager->db->query("DELETE FROM bm_banlist WHERE ban_length = 'permanent' AND servergroup = 0 AND soldierID=".$result->soldierID." LIMIT ".($result2->cnt-1));
          $manager->db->query("DELETE FROM bm_banlist WHERE servergroup != 0 AND soldierID=".$result->soldierID);
        }
        elseif($result2->cnt == 1)
        {
          $manager->db->query("DELETE FROM bm_banlist WHERE servergroup != 0 AND soldierID=".$result->soldierID);
        }
        $manager->db->query("DELETE FROM bm_banlist WHERE ban_length = 'permanent' AND servergroup != 0 AND soldierID=".$result->soldierID." GROUP BY servergroup HAVING COUNT(*) > 1");
      }
      $ok .= $manager->translate["DOUBLEBANS"].'.<br />';
    }
    
    //set global ban if soldier banned on all servergroups
    if(isset($_POST["setglobal"]) && $_POST["setglobal"] == 1)
    {
      $query = $manager->db->query("SELECT COUNT(*) as cnt FROM bm_servergroup GROUP BY servergroup");
      $result = $query->fetch_object();
      $query = $manager->db->query("SELECT * FROM bm_banlist WHERE ban_length = 'permanent' GROUP BY soldierID HAVING COUNT(*) >=".$result->cnt);
      while($result = $query->fetch_object())
      {
        $manager->db->query("UPDATE bm_banlist SET servergroup = 0 WHERE banID=".$result->banID);
        $manager->db->query("DELETE FROM bm_banlist WHERE soldierID=".$result->soldierID." AND servergroup != 0");
      }
      $ok .= $manager->translate["DOUBLEBANS"].'.<br />';
    }
    
    $manager->insert_content($ok."<p>".$manager->translate["CLEANUPEXE"].".");
  }
  else
  {
    $content = file_get_contents("modules/cleanup/cleanup_".$manager->language.".html");
    
    $manager->insert_content($content);
  }
}
else
{
  $manager->insert_content($manager->translate["ACCESS"]);
}
?>