<?php

/*
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+                                                       +
+         COPYRIGHT BY =NRG= CLAN www.nrg-esports.de    +
+                                                       +
+                                                       +
+              Website created by DaMagicSW             +
+                           and                         +
+                 Plugin by DaMagicWobber               +
+                                                       +
+                                                       +
+  edit of website and remove of copyright not allowed  +
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
*/

class Manager
{
  private $version = "2.1a";
  private $languages = array("de","en");
  
  public function __construct($location = "")
  {
    require_once "config.php";
    
    session_start();
    
    if(($hostname == "" || $username == "" || $password == "" || $dbname == "") && $location != "install")
      header("Location: install.php");
	
    if(isset($_SESSION["lg"]) && $_SESSION["lg"] != "")
	{
	  if(file_exists("language_".$_SESSION["lg"].".php"))
	  {
		include "language_".$_SESSION["lg"].".php";
		$this->language = $_SESSION["lg"];
	  }
	  else
	  {
		$this->language = "en";
		include "language_en.php";
	  }
	}
	else
	{
	  $this->language = "en";
	  include "language_en.php";
	}
	
	$this->translate = $translate;
	
    $this->create_page($location);
    
    if($location != "install")
    {
      $this->db = @new mysqli($hostname,$username,$password,$dbname,($port == "" ? 3306 : $port));
      if($this->db->connect_errno) die("Error with Databaseconnection!".$this->db->connect_error);
	  $this->db->set_charset('utf8');
      $this->auth($location);
    }
    $this->folder = $folder;
  }
  
  public function __destruct()
  {
    $this->insert_dir($this->folder);
    echo $this->db->error;
    echo $this->page;
    @$this->db->close();
  }
  
  private function auth($location)
  {
    if((!isset($_SESSION["adminlogin"]) || $_SESSION["adminlogin"] == "") && $location != "login" && $location != "install")
    {
      header("Location: ".$this->insert_dir."login.php");
    }
    else
    {
	  if(isset($_SESSION["adminlogin"]))
	  {
		$query = $this->db->query("SELECT * FROM bm_userlist WHERE sid='".$_SESSION["adminlogin"]."'");
		$this->user = $query->fetch_object();
		if($this->user->username == "" && $location != "login"){ session_destroy(); header("Location: index.php");}
		  $this->page = str_replace("[login]",$this->translate["LOGINAS"].$this->user->username." <br /> <a href='logout.php'> ".$this->translate["LOGOUT"]." </a>",$this->page);
	  }
    }
  }
  
  public function get_secureCode($length)
  {
    // random number/char
    $secureCode = $chars = "";
    $chars = "0123456789";
    $chars .= "ABCDEFGHIJKLMNOPQRSTUVXYZ";
    $chars .= "abcdefghijklmnopqrstuvwxyz";
    for($i = 1; $i <= $length; $i++){
      $num = rand(0,(strlen($chars)-1));
      $secureCode .= $chars[$num];
    }
    return $secureCode;
  }
  
  public function insert_content($content)
  {
    $this->page = str_replace("[content]",$content,$this->page);
  }
  
  public function insert_specialcontent($content)
  {
    $this->page = $content;
  }
  
  private function create_page($location)
  {
    $this->page = file_get_contents("html/page_".$this->language.".html");
	$this->page = str_replace("[version]",$this->version,$this->page);
    if($location == "install" || $location == "login")
    {
      $this->page = str_replace("[functions]","",$this->page);
      $this->page = str_replace("[login]","",$this->page);
      $this->page = str_replace("[headline]","",$this->page);
	  if($location == "install") $this->page = str_replace("[lang]","",$this->page);
    }
    else
    {
      $this->page = str_replace("[functions]",file_get_contents("modules/index/functions_".$this->language.".html"),$this->page);
      $this->page = str_replace("[headline]","<h2>".$this->translate[$location]."</h2>",$this->page);
    }
	
	$lang = $this->translate["LANGUAGE"].': ';
	foreach($this->languages as $language)
	{
	  if($this->language == $language)
	  {
		$lang .= '<img title="'.$this->translate["LANGSELECTED"].'" src="[dir]html/'.$language.'.gif"> ';
	  }
	  else
	  {
		$lang .= '<a class="pointer" onclick="change_language(\''.$language.'\');"><img title="'.$this->translate["LANGCHANGE".$language].'" src="[dir]html/'.$language.'.gif"></a> ';
	  }
	}
	$this->page = str_replace("[lang]",$lang,$this->page);
  }
  
  private function get_dir($foldername = "")
  {
    // this function read the url and count the "/" for correct shown
    if(isset($_SERVER['REQUEST_URI'])){
      $adress = explode("/",strtolower($_SERVER['REQUEST_URI']));
      $count = count($adress);
        array_pop($adress);
        $count--;
      $adress = array_reverse($adress);
      if($adress[($count-1)] == ""){
        array_pop($adress);
        $count--;
      }
      $adress = array_reverse($adress);
      for($i = 0;$i < $count; $i++){
        if($adress[$i] == $foldername){
          return ($count - ($i+1));
        }
      }
      return count($adress);
    }else{
      return 0;
    }
  }
  
  private function insert_dir($homedir = "")
  {
    $dir =  $this->get_dir($homedir);
    $newdir = "";
    while($dir != 0){
      $newdir .= "../";
      $dir--;
    }
    $this->page = str_replace("[dir]",$newdir,$this->page);
  }
  
}

?>