<?php

/*
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+                                                       +
+         COPYRIGHT BY =NRG= CLAN www.nrg-esports.de    +
+                                                       +
+                                                       +
+              Website created by DaMagicSW             +
+                           and                         +
+                 Plugin by DaMagicWobber               +
+                                                       +
+                                                       +
+  edit of website and remove of copyright not allowed  +
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
*/


include "manager.php";

$manager = new Manager("STATS");

$content = file_get_contents("modules/stats/stats_".$manager->language.".html");

$ban = $soldier = $top = "";

$query = $manager->db->query("SELECT COUNT(*) as cnt FROM bm_banlist WHERE ban_expired = 0");
$ban .= $manager->translate["TOTALBAN"].': <b>'.$query->fetch_object()->cnt."</b><br /><p>";

$query = $manager->db->query("SELECT COUNT(*) as cnt FROM bm_banlist WHERE ban_expired = 0 AND ban_length='permanent'");
$ban .= $manager->translate["PERMBANS"].': <b>'.$query->fetch_object()->cnt."</b><br /><p>";

$query = $manager->db->query("SELECT COUNT(*) as cnt FROM bm_banlist WHERE ban_expired = 0 AND ban_length='seconds'");
$ban .= $manager->translate["TIMEBANS"].': <b>'.$query->fetch_object()->cnt."</b><br /><p>";

$query = $manager->db->query("SELECT COUNT(*) as cnt FROM bm_banlist WHERE ban_expired = 0 AND ban_length='round'");
$ban .= $manager->translate["ROUNDBANS"].': <b>'.$query->fetch_object()->cnt."</b><br /><p>";

$query = $manager->db->query("SELECT COUNT(*) as cnt FROM bm_banlist WHERE ban_expired = 0 AND servergroup=0");
$ban .= $manager->translate["GLOBALBANS"].': <b>'.$query->fetch_object()->cnt."</b><br /><p>";

$query2 = $manager->db->query("SELECT servergroup FROM bm_servergroup GROUP BY servergroup");
while($result = $query2->fetch_object())
{
  $query = $manager->db->query("SELECT COUNT(*) as cnt FROM bm_banlist WHERE ban_expired = 0 AND servergroup=".$result->servergroup);
  $ban .= $manager->translate["BANSATSERVERGROUP"].' '.$result->servergroup.': <b>'.$query->fetch_object()->cnt."</b><br /><p>";
}

$query = $manager->db->query("SELECT COUNT(*) as cnt FROM bm_soldiers");
$soldier .= $manager->translate["TOTALPLAYER"].': <b>'.$query->fetch_object()->cnt."</b><br /><p>";

$query = $manager->db->query("SELECT SUM(bancount) as cnt FROM bm_soldiers");
$soldier .= $manager->translate["TOTALBANS"].': <b>'.$query->fetch_object()->cnt."</b><br /><p>";

$query = $manager->db->query("SELECT AVG(bancount) as cnt FROM bm_soldiers");
$soldier .= '&empty; '.$manager->translate["BANSPERPLAYER"].': <b>'.$query->fetch_object()->cnt."</b><br /><p>";

$query = $manager->db->query("SELECT soldiername,bancount FROM bm_soldiers WHERE soldiername != '' AND bancount > 0 ORDER BY bancount DESC LIMIT 10");
while($result = $query->fetch_object())
{
  $top .= '
  <a class="player" href="search.php?name='.$result->soldiername .'">
	'.$result->soldiername .'
  </a>
  ( '.($result->bancount == 1 ? $result->bancount." ".$manager->translate["TIMEBANNED"] : $result->bancount." ".$manager->translate["TIMESBANNED"]) .' )<br /><p>';
}

$content = str_replace("[ban]",$ban,$content);
$content = str_replace("[soldier]",$soldier,$content);
$content = str_replace("[top]",$top,$content);
$manager->insert_content($content);

?>